Issue894

Title segv when importing keys with duplicated ids.
Priority bug Status resolved
Category gnupg Due Date
Version 1.4.8, 2.0.8. ExtLink  (go)
Superseder Nosy List werner
Assigned To werner Topics  (help)

Created on 2008-03-19.14:32:20 by werner, last changed 2008-09-30.18:33:38 by werner.

Messages
msg2391 (view) Author: werner Date: 2008-03-25.08:44:57
Fixed in SVN 4714 to be released with into 1.4.9 and 2.0.9. This was actually a
possible memory corruption around deduplication of user IDs.
msg2386 (view) Author: werner Date: 2008-03-19.14:32:18
Importing certain keys from key servers lead to a NULL dereference.
History
Date User Action Args
2008-09-30 18:33:38wernersetstatus: testing -> resolved
2008-03-25 08:44:59wernersetstatus: in-progress -> testing
version: all -> 1.4.8, 2.0.8.
messages: + msg2391
2008-03-19 14:32:20wernercreate